Summary: SELinux example policy configuration
Name: policy
Version: 1.10
Release: 1
License: GPL
Group: System Environment/Base
Source: http://www.nsa.gov/selinux/archives/policy-1.10.tgz
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Requires:  policycoreutils
BuildRequires: checkpolicy m4

%description
Security-enhanced Linux is a patch of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

This package contains the SELinux example policy configuration along
with the Flask configuration information and the application
configuration files.  

%prep
%setup -q

%build
mv domains/misc/unused/*.te domains/misc
mv domains/program/unused/*.te domains/program/
(cd domains/program/; mv dpk* gatekeeper* qmail* xprint* uml_net* tiny* unused/)
make policy

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/security/
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/security/selinux
make DESTDIR="${RPM_BUILD_ROOT}" install
make DESTDIR="${RPM_BUILD_ROOT}" install-src

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/security/selinux
%config(noreplace) %{_sysconfdir}/security/selinux/file_contexts
%config(noreplace) %{_sysconfdir}/security/selinux/policy\.*
%config(noreplace) %{_sysconfdir}/security/default_contexts
%config(noreplace) %{_sysconfdir}/security/default_type
%config(noreplace) %{_sysconfdir}/security/initrc_context
%config(noreplace) %{_sysconfdir}/security/failsafe_context

%package sources
Summary: SELinux example policy configuration source files 
Group: System Environment/Base
Requires: m4 make checkpolicy policycoreutils

%description sources
This subpackage includes the source files used to build the policy
configuration.  Includes policy.conf and the Makefiles, macros and
source files for it.

%files sources
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/security/selinux/src/policy/users
%config(noreplace) %{_sysconfdir}/security/selinux/src/policy/tunable.te
%dir %{_sysconfdir}/security/selinux/src
%dir %{_sysconfdir}/security/selinux/src/policy
%{_sysconfdir}/security/selinux/src/policy.conf
%{_sysconfdir}/security/selinux/src/policy/*

%post sources
#make -C /etc/security/selinux/src/policy load

%post
#/usr/sbin/load_policy /etc/security/selinux/policy.`cat /selinux/policyvers`

%changelog
* Thu Oct 2 2003 Dan Walsh <dwalsh@redhat.com> 1.0-3
- Latest from NSA

* Mon Aug 18 2003 Paul Nasrat <pauln@truemesh.com> 1.2-1
- Enable non-root build

* Mon Jun 2 2003 Dan Walsh <dwalsh@redhat.com> 1.0-1
- Initial version









